POW -> Puma-dev & RVM -> asdf

Replace POW with Puma-dev

Read POW to Puma-dev

Puma-dev project

I changed the .dev domain to .test.

puma-dev -install -d test -dir ~/.pow/

Replace RVM with asdf

Remove RVM Clean RVM

sudo rm -rf $HOME/.rvm $HOME/.rvmrc /etc/rvmrc /etc/profile.d/rvm.sh /usr/local/rvm /usr/local/bin/rvm

Remove from .bashrc|.bash_profile|.profile|.zshrc

But removing RVM broke Vim, so I did brew upgrade vim to fix it.

Very detailed write up: Replace RVM w/ asdf

asdf project

Follow install info from project.

Update/Add ~/.asdfrc

legacy_version_file = yes

Ruby Default Gems; Add ~/.default-gems

bundler
pry
gem-ctags

Make sure you have required deps installed and updated.

brew install coreutils automake autoconf openssl libyaml readline libxslt libtool unixodbc
brew install wxmac

Install the plugins for the things you want. There are a lot more!

asdf plugin-add elixir https://github.com/asdf-vm/asdf-elixir.git
asdf plugin-add erlang https://github.com/asdf-vm/asdf-erlang.git
asdf plugin-add python https://github.com/tuvistavie/asdf-python.git
asdf plugin-add ruby https://github.com/asdf-vm/asdf-ruby.git
asdf plugin-add nodejs https://github.com/asdf-vm/asdf-nodejs.git
# Imports Node.js release team's OpenPGP keys to main keyring
bash ~/.asdf/plugins/nodejs/bin/import-release-team-keyring

Install versions & set the defaults

asdf install ruby 2.5.0
asdf global ruby 2.5.0
asdf install erlang 20.2.3
asdf globabl erlang 20.2.3
asdf install elixir 1.6.0-otp-20
asdf global elixir 1.6.0-otp-20
asdf install nodejs 9.5.0
asdf global nodejs 9.5.0